<?php
include "./function.php";			//调用函数文件
include "./conn/conn.php";			//调用数据源文件

$query = mysql_query("select * from tb_room where id = '".$_GET[roomid]."'");		//检索房间号所对应的信息
$chess = mysql_result($query, 0, chess);		//将检索的结果存储到变量中

$chess_explode = explode(",", $chess);			//应用逗号分隔符分割结果集

for($c = "", $i = 0;$i < sizeof($chess_explode);$i ++){			//重将定位棋盘中棋子的排列位置
	$new_chess = $chess_explode[$i];		//获取数组（棋子）中的元素
	if($i + 1 == $_GET[from])				//获取棋子的起始位置，变量i加1，是因为坐标从1开始
	$new_chess = "blank";					//将变量赋予“blank.gif”空图像
	if($i + 1 == $_GET[to])	{				//获取棋子的跳跃的位置，即目的坐标，变量i加1，是因为坐标从1开始
		if($chess_explode[$i] != "blank")	//如果棋盘中棋子的值不等于blank
		$eated = $chess_explode[$i];		//将被吃掉的棋子的元素值赋给变量，例如“006”号棋
		$new_chess = $chess_explode[$_GET[from] - 1];
	}
	$c .= $new_chess.",";					//以逗号为分隔符连接当前各个棋子的棋号
}
if($_GET[site] == guest)			//如果当前的玩家为客户机方，那么改为服务器方
	$flag = host;
else								//如果当前的玩家为服务器方，那么改为客户机方
	$flag = guest;
	//更新棋子的位置，走棋的标志，棋子移动的位置记录ID房间号相关的走棋信息
mysql_query("update tb_room set chess = '$c', flag = '$flag', moved = '".$_GET[from].",".$_GET[to]."', eated = '$eated' where ID = '".$_GET[roomid]."' limit 1");
?>
